(define f (instantiate::frame))
(define file (instantiate::menu-button (parent f) (text "file")))
(define edit (instantiate::menu-button (parent f) (text "edit")))
(define help (instantiate::menu-button (parent f) (text "help")))

(pack file edit :side 'left)
(pack help :side 'right)
(pack f :expand #f :fill 'x)

(define filem (instantiate::menu (parent file)))
(define editm (instantiate::menu (parent edit)))
(define helpm (instantiate::menu (parent help)))

(with-access::menu-button file (menu)
   (set! menu filem))
(with-access::menu-button edit (menu)
   (set! menu editm))
(with-access::menu-button help (menu)
   (set! menu helpm))

;;;; Filem
(let ((m (instantiate::menu (parent filem))))
  (menu-add! m 'command :label "3.1"
             :command (lambda () (print "3.1")))
  (menu-add! m 'command :label "3.2")
  (menu-add! m 'command :label "3.3")
  (menu-add! filem 'command :label "Un"
             :command (lambda () (print "1")))
  (menu-add! filem 'command :label "Deux"
             :command (lambda () (print "2")))
  (menu-add! filem 'separator)
  (menu-add! filem 'cascade :label "Trois" :menu m)
  (menu-add! filem 'command :label "Quatre"
             :command (lambda () (print "4"))))

;;;; Editm
(menu-add! editm 'command :label "Un"
           :command (lambda () (print "1")))
(menu-add! editm 'command :label "Deux"
           :command (lambda () (print "2")))
(menu-add! editm 'separator)
(menu-add! editm 'command :label "Trois"
           :command (lambda () (print "3")))
(menu-add! editm 'command :label "Quatre"
           :command (lambda () (print "4")))

;;;; Helpm
(menu-add! helpm 'command :label "Un"
           :command (lambda () (print "1")))
(menu-add! helpm 'command :label "Deux"
           :command (lambda () (print "2")))
(menu-add! helpm 'separator)
(menu-add! helpm 'command :label "Trois"
           :command (lambda () (print "3")))
(menu-add! helpm 'command :label "Quatre"
           :command (lambda () (print "4")))

;; a dummy text
(define t (instantiate::text))
(pack t :fill 'both)

