;*---------------------------------------------------------------------*/
;*   This program is free software; you can redistribute it            */
;*   and/or modify it under the terms of the GNU General Public        */
;*   License as published by the Free Software Foundation; either      */
;*   version 2 of the License, or (at your option) any later version.  */
;*                                                                     */
;*   This program is distributed in the hope that it will be useful,   */
;*   but WITHOUT ANY WARRANTY; without even the implied warranty of    */
;*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     */
;*   GNU General Public License for more details.                      */
;*                                                                     */
;*   You should have received a copy of the GNU General Public         */
;*   License along with this program; if not, write to the Free        */
;*   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,   */
;*   MA 02111-1307, USA.                                               */
;*---------------------------------------------------------------------*/
;*=====================================================================*/
;*    serrano/prgm/project/bglk/runtime/Llib/key.scm                   */
;*    -------------------------------------------------------------    */
;*    Author      :  Manuel Serrano                                    */
;*    Creation    :  Fri Dec 18 11:35:47 1998                          */
;*    Last change :  Fri Apr  9 09:58:05 1999 (serrano)                */
;*    -------------------------------------------------------------    */
;*    Tk keys                                                          */
;*=====================================================================*/

;*---------------------------------------------------------------------*/
;*    The module                                                       */
;*---------------------------------------------------------------------*/
(module __biglook_key
   
   (include "Llib/biglook.sch")
   
   (extern (_tk-make-variable::int (::string)       "SCM_tk_makevar")
	   (_tk-variable-exists?::bool (::string)   "SCM_tk_variable_exists_p")
	   (_tk-variable-set!::int (::string ::obj) "SCM_tk_scm_setvar")
	   (_tk-variable-get::obj (::string)        "SCM_tk_scm_getvar"))
   
   (export (inline key-value-set! ::string ::obj)
	   (inline key-value      ::string)))

;*---------------------------------------------------------------------*/
;*    key-value-set! ...                                               */
;*---------------------------------------------------------------------*/
(define-inline (key-value-set! name value)
   (_tk-variable-set! name value))
 
;*---------------------------------------------------------------------*/
;*    key-value ...                                                    */
;*---------------------------------------------------------------------*/
(define-inline (key-value name)
   (_tk-variable-get name))   

