;*---------------------------------------------------------------------*/
;*   This program is free software; you can redistribute it            */
;*   and/or modify it under the terms of the GNU General Public        */
;*   License as published by the Free Software Foundation; either      */
;*   version 2 of the License, or (at your option) any later version.  */
;*                                                                     */
;*   This program is distributed in the hope that it will be useful,   */
;*   but WITHOUT ANY WARRANTY; without even the implied warranty of    */
;*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     */
;*   GNU General Public License for more details.                      */
;*                                                                     */
;*   You should have received a copy of the GNU General Public         */
;*   License along with this program; if not, write to the Free        */
;*   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,   */
;*   MA 02111-1307, USA.                                               */
;*---------------------------------------------------------------------*/
;*---------------------------------------------------------------------*/
;*   This program is free software; you can redistribute it            */
;*   and/or modify it under the terms of the GNU General Public        */
;*   License as published by the Free Software Foundation; either      */
;*   version 2 of the License, or (at your option) any later version.  */
;*                                                                     */
;*   This program is distributed in the hope that it will be useful,   */
;*   but WITHOUT ANY WARRANTY; without even the implied warranty of    */
;*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     */
;*   GNU General Public License for more details.                      */
;*                                                                     */
;*   You should have received a copy of the GNU General Public         */
;*   License along with this program; if not, write to the Free        */
;*   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,   */
;*   MA 02111-1307, USA.                                               */
;*---------------------------------------------------------------------*/
;*=====================================================================*/
;*    serrano/prgm/project/bglk/runtime/Llib/make-lib.scm              */
;*    -------------------------------------------------------------    */
;*    Author      :  Manuel Serrano                                    */
;*    Creation    :  Sat Oct 17 06:18:31 1998                          */
;*    Last change :  Fri Jun  4 17:14:48 1999 (serrano)                */
;*    -------------------------------------------------------------    */
;*    The Biglook library builder                                      */
;*=====================================================================*/

;*---------------------------------------------------------------------*/
;*    The module                                                       */
;*---------------------------------------------------------------------*/
(module __make-biglook-lib
   
   (import ;; misc
    (biglook-exit             __biglook_misc "Llib/misc.scm")
    (biglook-args-parse-usage __biglook_misc "Llib/misc.scm")
    (biglook-args?            __biglook_misc "Llib/misc.scm")
    (*biglook-version*        __biglook_misc "Llib/misc.scm")
    (after                    __biglook_misc "Llib/misc.scm")
    (bell                     __biglook_misc "Llib/misc.scm")
    (bindtags                 __biglook_misc "Llib/misc.scm")
    (clipboard                __biglook_misc "Llib/misc.scm")
    (destroy                  __biglook_misc "Llib/misc.scm")
    (event                    __biglook_misc "Llib/misc.scm")
    (focus                    __biglook_misc "Llib/misc.scm")
    (grab                     __biglook_misc "Llib/misc.scm")
    (grid                     __biglook_misc "Llib/misc.scm")
    (option                   __biglook_misc "Llib/misc.scm")
    (pack                     __biglook_misc "Llib/misc.scm")
    (place                    __biglook_misc "Llib/misc.scm")
    (selection                __biglook_misc "Llib/misc.scm")
    (tk-old                   __biglook_misc "Llib/misc.scm")
    (tkwait                   __biglook_misc "Llib/misc.scm")
    (update                   __biglook_misc "Llib/misc.scm")
    (winfo                    __biglook_misc "Llib/misc.scm")
    (wm                       __biglook_misc "Llib/misc.scm")
    (root                     __biglook_misc "Llib/misc.scm")
    (procedure->tk-string     __biglook_misc "Llib/misc.scm")
    
    ;; tools
    (__biglook_tk-object      "Llib/tk-object.scm")
    (__biglook_palette        "Llib/palette.scm")
    (__biglook_focus          "Llib/focus.scm")
    (__biglook_key            "Llib/key.scm")
    (__biglook_image          "Llib/image.scm")
    (__biglook_font-chooser   "Llib/font-chooser.scm")
    (__biglook_font           "Llib/font.scm")
    
    ;; widgets
    (__biglook_notepad        "Lwidget/notepad.scm")
    (__biglook_choice-box     "Lwidget/choicebox.scm")
    (__biglook_labeled-frame  "Lwidget/labeled-frame.scm")
    (__biglook_hierarchy      "Lwidget/hierarchy.scm")
    (__biglook_scrollcanvas   "Lwidget/scrollcanvas.scm")
    (__biglook_canvitem       "Lwidget/canvitem.scm")
    (__biglook_canvas         "Lwidget/canvas.scm")
    (__biglook_paned          "Lwidget/paned.scm")
    (__biglook_scrollbox      "Lwidget/scrollbox.scm")
    (__biglook_scrolltext     "Lwidget/scrolltext.scm")
    (__biglook_gauge          "Lwidget/gauge.scm")
    (__biglook_menu           "Lwidget/menu.scm")
    (__biglook_text           "Lwidget/text.scm")
    (__biglook_listbox        "Lwidget/listbox.scm")
    (__biglook_scale          "Lwidget/scale.scm")
    (__biglook_scrollbar      "Lwidget/scrollbar.scm")
    (__biglook_frame          "Lwidget/frame.scm")
    (__biglook_entry          "Lwidget/entry.scm")
    (__biglook_labeled-entry  "Lwidget/labeled-entry.scm")
    (__biglook_button         "Lwidget/button.scm")
    (__biglook_scrollframe    "Lwidget/scrollframe.scm")
    (__biglook_combobox       "Lwidget/combobox.scm")
    (__biglook_toolbar        "Lwidget/toolbar.scm")
    (__biglook_emacs          "Lwidget/emacs.scm")))
	   
   
