;; instantiate on button on which we will operate color changes
(define b (instantiate::button
             (text "A plain button")
             (balloon "Click to stop")
             (command (lambda ()
                         (biglook-exit 0)))))

;; pack it on the screen
(pack b)

;; create three colors then change the button background color
;; with these.
(let* ((c1 (make-rgb-color 139 0 139))
       (c2 (make-darker-color c1))
       (c3 (make-lighter-color c1))
       (l  (list c1 c2 c3)))
   (set-cdr! (last-pair l) l)
   (let loop ((l l))
      (after 1000
             (lambda ()
                (button-background-set! b (car l))
                (loop (cdr l))))))
