(define (host parent tab)
   (with-access::notepad-tab tab (page)
      (if (not page)
	  (let* ((f (instantiate::frame
		       (parent parent)
		       (border-width 3)
		       (background "darkgray")
		       (relief "groove")))
		 (b1 (instantiate::labeled-entry
			(parent f)
			(title "Host: ")))
		 (b2 (instantiate::labeled-entry
			(parent f)
			(title "Port: "))))
	     (pack b1 b2 :fill 'x :padx 10 :pady 10)
	     (set! page f)))
      (pack page :padx 10 :pady 10 :fill "both" :expand #t)))

(define (mess parent tab)
   (with-access::notepad-tab tab (page)
      (if (not page)
	  (let ((m (instantiate::label
		      (parent parent)
		      (border-width 3)
		      (relief "groove")
		      (background "darkgray")
		      (justify "center")
		      (font "10x20")
		      (text "This is a simple demonstration."))))
	     (pack m :expand #t :fill "both")
	     (set! page m)))
      (pack page :padx 10 :pady 10 :fill "both" :expand #t)))

(define f (instantiate::notepad (width 450) (height 150)))

(pack f :expand #t :fill "both" :padx 2 :pady 2)

(instantiate::notepad-tab
   (parent f)
   (text "host1")
   (action host))
(instantiate::notepad-tab
   (parent f)
   (text "host2")
   (action host))
(instantiate::notepad-tab
   (parent f)
   (text #"Multi-line\nlabel")
   (action mess))
(instantiate::notepad-tab
   (parent f)
   (background "red")
   (image (instantiate::image (file "questhead.bmp")))
   (width 30)
   (action host))

