;*---------------------------------------------------------------------*/
;*   This program is free software; you can redistribute it            */
;*   and/or modify it under the terms of the GNU General Public        */
;*   License as published by the Free Software Foundation; either      */
;*   version 2 of the License, or (at your option) any later version.  */
;*                                                                     */
;*   This program is distributed in the hope that it will be useful,   */
;*   but WITHOUT ANY WARRANTY; without even the implied warranty of    */
;*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     */
;*   GNU General Public License for more details.                      */
;*                                                                     */
;*   You should have received a copy of the GNU General Public         */
;*   License along with this program; if not, write to the Free        */
;*   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,   */
;*   MA 02111-1307, USA.                                               */
;*---------------------------------------------------------------------*/
(defun make-tk-name (name)
  (let* ((len (length name))
	 (res (make-string (length name) ? ))
	 (r   0)
	 (w   0))
    (while (< r len)
      (let ((c (aref name r)))
	(if (eq c ?-)
	    (setq r (+ 1 r))
	  (progn
	    (aset res w c)
	    (setq r (+ 1 r))
	    (setq w (+ 1 w))))))
    (substring res 0 w)))
    

(defun fi (name)
  (interactive "sName: " name)
  (let ((tk-name (make-tk-name name))
	(pos     (point)))
    (insert (format ";; %s\n" name))
    (insert (format "(%s\n" name))
    (insert (format "(get (lambda (o)\n(tk o 'cget :%s)))\n" tk-name))
    (insert (format "(set (lambda (o v)\n(tk o 'configure :%s v))))\n" tk-name))
    (goto-char pos)
    (bee-indent-line)
    (next-line 1)
    (beginning-of-line)
    (bee-indent-line)
    (bee-indent-sexp)
    (forward-sexp 1)
    (next-line 1)
    (beginning-of-line)))
